Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary:   	KOffice is a free, integrated office suite for KDE, the K Desktop Environment.
Name:      	koffice
Version:   	1.6.3
Release:   	6
License: 	GNU/GPL
URL:		http://kde.org
Group:     	Office
Source0: 	koffice-%{version}.tar.bz2
Patch0: 	koffice-1.6.3-gcc43.patch
Patch1:		proxyh.patch
Patch2:		kword-gcc.patch
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:  perl
BuildRequires: 	libwv2-devel
BuildRequires: 	libwmf-devel
BuildRequires: 	libxml2-devel
BuildRequires: 	libxslt-devel
BuildRequires: 	libart_lgpl-devel 
BuildRequires:	ImageMagick-devel >= 6.2.6.0
BuildRequires: 	libjpeg-devel
BuildRequires: 	aspell-devel
BuildRequires: 	python-devel
BuildRequires: 	libtool-devel
BuildRequires: 	libjpeg-devel
BuildRequires: 	OpenEXR-devel
BuildRequires:	ilmbase-devel
BuildRequires: 	kdelibs3-devel
BuildRequires:	jack-audio-connection-kit-devel
BuildRequires: 	libmad-devel
BuildRequires:  mesa-libGL-devel
BuildRequires:  mesa-libGLU-devel
BuildRequires:  libICE-devel
BuildRequires:  libSM-devel
BuildRequires:  libX11-devel
BuildRequires:  libXext-devel
BuildRequires:  libXi-devel
BuildRequires:  libXrender-devel
BuildRequires:  libXt-devel
BuildRequires:  arts-devel
BuildRequires:  alsa-lib-devel
BuildRequires:  audiofile-devel
BuildRequires:  bzip2-devel
BuildRequires:  glibc-devel
BuildRequires:  openssl-devel
BuildRequires:  esound-devel
BuildRequires:  libexif-devel
BuildRequires:  expat-devel
BuildRequires:  fam-devel
BuildRequires:  fontconfig-devel
BuildRequires:  freetype-devel
BuildRequires:  glib-devel
BuildRequires:  libgsf-devel
BuildRequires:  libidn-devel
BuildRequires:  lcms-devel
BuildRequires:  mysql-devel
BuildRequires:  ncurses-devel
BuildRequires:  libogg-devel
BuildRequires:  libpaper-devel
BuildRequires:  pcre-devel
BuildRequires:  libpng-devel
BuildRequires:  qt3-devel
BuildRequires:  readline-devel
BuildRequires:  ruby-devel
BuildRequires:  libstdc++-devel
BuildRequires:  libtiff-devel
BuildRequires:  libvorbis-devel
BuildRequires:  libwpd-devel poppler-devel >= 0.6

%description
KOffice is a free, integrated office suite for KDE, the K Desktop Environment.

%package	devel
Summary: 	koffice development headers.
Group:     	Office          
Requires: 	koffice = %{version}-%{release}

%description	devel
Header and include files for developing applications with koffice.

%post
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor ||:
gtk-update-icon-cache -q %{_datadir}/icons/hicolor 2> /dev/null ||:
update-desktop-database %{_datadir}/applications > /dev/null 2>&1 ||:

%postun
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor ||:
gtk-update-icon-cache -q %{_datadir}/icons/hicolor 2> /dev/null ||:
update-desktop-database %{_datadir}/applications > /dev/null 2>&1 ||:

%prep
%setup -n %{name}-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
export CFLAGS="$CFLAGS -I/usr/include/OpenEXR"
export CXXFLAGS=$CFLAGS
%configure --with-qt-dir=/usr/lib/qt-3.3
make %{?_smp_mflags}

%install
make install-strip DESTDIR=$RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%_bindir
%_libdir
%_datadir

%files devel
%defattr(-,root,root)
%_includedir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Aug 01 2008 Christian Metzen <metzench@ccux-linux.de> 1.6.3-6
- moved prefix, gcc 4.3 patch
* Sat Apr 19 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.6.3-5
- rebuilt against poppler 0.8.0
* Sat Mar 08 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.6.3-4
- rebuilt against ImageMagick 6.3.9.3
* Fri Dec 07 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.6.3-3
- rebuilt against OpenEXR 1.6.1 / ilmbase 1.0.1
* Tue Oct 02 2007 Christian Metzen <metzench@ccux-linux.de> 1.6.3-2
- rebuild against latest poppler version
* Fri Jun 08 2007 Christian Metzen <metzench@ccux-linux.de> 1.6.3-1
- Version update
* Sat Feb 24 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.6.2-1
- Version update
* Mon Jan 29 2007 Christian Metzen <metzench@ccux-linux.de> 1.6.1-2
- rebuild against latest libs
* Thu Nov 30 2006 Christian Metzen <metzench@ccux-linux.de> 1.6.1-1
- Version update
* Wed Oct 18 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.6.0-1
- Version update
* Wed Oct 11 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.5.2-4
- rebuilt against mysql 5.0.26
* Thu Sep 21 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.5.2-3
- rebuilt against python 2.5
* Tue Sep 12 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.5.2-2
- rebuilt against OpenEXR 1.3.0 and X.org 7.1.1
* Fri Jul 14 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.5.2-1
- Version update
* Fri May 19 2006 Christian Wasem <wasem@ccux-linux.de> 1.5.1-1
- Version update
* Thu Apr 20 2006 Christian Metzen <metzench@ccux-linux.de> 1.5.0-1
- Version update
- adjusted BuildRequires
* Wed Jan 25 2006 Christian Metzen <metzench@ccux-linux.de> 1.4.2-2
- Rebuild against newest ImageMagick
* Tue Oct 11 2005 Christian Metzen <metzench@ccux-linux.de> 1.4.2-1
- Version update
* Mon Sep 12 2005 Christian Metzen <metzench@ccux-linux.de> 1.4.1-3
- Rebuild against newest ImageMagick
* Mon Sep 05 2005 Christian Metzen <metzench@ccux-linux.de> 1.4.1-2
- Rebuild against newest ImageMagick
* Mon Jul 25 2005 Christian Metzen <metzench@ccux-linux.de> 1.4.1-1
- Version update
* Thu Jun 30 2005 Christian Metzen <metzench@ccux-linux.de> 1.4.0a-2
- Rebuild against newest Python version
* Thu Jun 23 2005 Christian Metzen <metzench@ccux-linux.de> 1.4.0a-1
- Version update to 1.4.0a
* Tue Jun 21 2005 Christian Metzen <metzench@ccux-linux.de> 1.4.0-1
- Version update to 1.4.0
* Wed Nov 24 2004 Christian Metzen <metzench@ccux-linux.de> 1.3.5-1
- Initial Release
